Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class CommentBean

    java.lang.Object
      net.jini.lookup.entry.CommentBean

All Implemented Interfaces:
  EntryBean, Serializable

public class CommentBean
extends Object
implements EntryBean, Serializable

A JavaBeans(TM) component that encapsulates a Comment object.

See Also:
  `Comment`, Serialized Form

Field Summary
`protected Comment` | `assoc` The Entry object associated with this JavaBeans component.

Constructor Summary
`CommentBean()` Construct a new JavaBeans component, linked to a new empty Comment object.

Method Summary
`Entry` | `followLink()` Return the Entry linked to by this JavaBeans component.
`String` | `getComment()` Return the value of the comment field in the Comment object linked to by this JavaBeans component.
`void` | `makeLink(Entry e)` Make a link to an Entry object.
`void` | `setComment(String x)` Set the value of the comment field in the Comment object linked to by this JavaBeans component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assoc

    protected Comment assoc

  The Entry object associated with this JavaBeans component.

Constructor Detail

### CommentBean

    public CommentBean()

  Construct a new JavaBeans component, linked to a new empty Comment object.

Method Detail

### makeLink

    public void makeLink(Entry e)

  Make a link to an Entry object.

  Specified by:
    `makeLink` in interface `EntryBean`
  Parameters:
    `e` - the Entry object to link to
  Throws:
    `ClassCastException` - the Entry is not of the correct type for this JavaBeans component

### followLink

    public Entry followLink()

  Return the Entry linked to by this JavaBeans component.

  Specified by:
    `followLink` in interface `EntryBean`
  Returns:
    the entry linked to by this JavaBeans component.

### getComment

    public String getComment()

  Return the value of the comment field in the Comment object linked to by this JavaBeans component.

  Returns:
    a `String` representing the comment value
  See Also:
    `setComment(java.lang.String)`

### setComment

    public void setComment(String x)

  Set the value of the comment field in the Comment object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the comment value
  See Also:
    `getComment()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved